## python-cyclopts 3.1.2

=== debian/changelog ===
python-cyclopts (3.1.2-1) unstable; urgency=medium

  * Initial release. (Closes: #1088746)

 -- Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>  Fri, 29 Nov 2024 22:31:11 -0300
