=== debian/control ===
Source: python-cyclopts
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               python3-all,
               python3-cattr,
               python3-docstring-parser,
               python3-importlib-metadata,
               python3-linkify-it <!nodoc>,
               python3-myst-parser <!nodoc>,
               python3-poetry,
               python3-poetry-dynamic-versioning,
               python3-pydantic <!nocheck>,
               python3-pytest <!nocheck>,
               python3-pytest-mock <!nocheck>,
               python3-rich,
               python3-rich-rst,
               python3-setuptools,
               python3-sphinx <!nodoc>,
               python3-sphinx-autodoc-typehints <!nodoc>,
               python3-sphinx-copybutton <!nodoc>,
               python3-sphinx-rtd-theme <!nodoc>,
               python3-tomli,
               python3-typing-extensions,
               python3-yaml
Standards-Version: 4.7.0
Homepage: https://github.com/BrianPugh/cyclopts
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-cyclopts
Vcs-Git: https://salsa.debian.org/python-team/packages/python-cyclopts.git
Testsuite: autopkgtest-pkg-pybuild

Package: python3-cyclopts
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends}
Suggests: python-cyclopts-doc
Description: Command line interface structure
 Package is a modern and easy-to-use framework for building command-line
 interfaces (CLIs) in Python, designed to make developing CLI applications
 simpler, more intuitive, and efficient.
 .
 It stands out for:
  - Use of Python Type Annotations: Cyclopts leverages Python’s type annotation
     system to make the CLI code more readable and less error-prone. You can use
     native Python types to specify inputs, such as int, str, and float, as well
     as more complex types like Pydantic, Dataclasses, and Attrs, improving
     clarity and control over input parameters.
  - Intuitive and Simple Interface: Cyclopts is designed to be easy to learn and
     use. The syntax is extremely simple, allowing developers to quickly build
     command-line tools with minimal code. Setting up commands, options, and
     arguments is straightforward, without the need for complex configurations
     or boilerplate code.
  - Automatic Validation and Type Conversion: Cyclopts handles automatic
     validation and type conversion based on the defined types in the code.
     This means it automatically validates input values according to type
     annotations and converts the inputs to the correct types without requiring
     extra code from the developer, reducing the chance of user input errors.
  - Automatic Help Generation: Cyclopts automatically generates detailed,
     well-structured help pages for your commands and options, using docstrings
     and the information provided in type definitions. This makes it easy to
     create user-friendly interfaces and eliminates the need to manually
     maintain CLI documentation.
  - Extensibility and Customization: Cyclopts is highly extensible. It allows
     developers to customize how input data is parsed, validated, and processed.
     The framework supports the creation of custom converters and validators,
     offering great flexibility to adapt the application to specific project
     needs.
  - Integration with Existing Tools: Cyclopts integrates seamlessly with other
     popular Python libraries and frameworks. It can be used alongside libraries
     like Pydantic for data validation or Typer and Click to build more complex
     applications, all while maintaining its simplicity and focus on usability.
  - Clear and Detailed Documentation: Cyclopts has clear, concise documentation
     with practical examples that make it easy to adopt, even for beginners.
     This is an important advantage, as building CLI tools can be complex, and
     Cyclopts’ documentation makes this process more accessible.

Package: python-cyclopts-doc
Section: doc
Architecture: all
Depends: ${misc:Depends},
         ${sphinxdoc:Depends}
Description: command line interface structure (common documentation)
 Package is a modern and easy-to-use framework for building command-line
 interfaces (CLIs) in Python, designed to make developing CLI applications
 simpler, more intuitive, and efficient.
 .
 It stands out for:
  - Use of Python Type Annotations: Cyclopts leverages Python’s type annotation
     system to make the CLI code more readable and less error-prone. You can use
     native Python types to specify inputs, such as int, str, and float, as well
     as more complex types like Pydantic, Dataclasses, and Attrs, improving
     clarity and control over input parameters.
  - Intuitive and Simple Interface: Cyclopts is designed to be easy to learn and
     use. The syntax is extremely simple, allowing developers to quickly build
     command-line tools with minimal code. Setting up commands, options, and
     arguments is straightforward, without the need for complex configuration
     or boilerplate code.
  - Automatic Validation and Type Conversion: Cyclopts handles automatic
     validation and type conversion based on the defined types in the code.
     This means it automatically validates input values according to type
     annotations and converts the inputs to the correct types without requiring
     extra code from the developer, reducing the chance of user input errors
  - Automatic Help Generation: Cyclopts automatically generates detailed,
     well-structured help pages for your commands and options, using docstrings
     and the information provided in type definitions. This makes it easy to
     create user-friendly interfaces and eliminates the need to manually
     maintain CLI documentation.
  - Extensibility and Customization: Cyclopts is highly extensible. It allows
     developers to customize how input data is parsed, validated, and processed.
     The framework supports the creation of custom converters and validators,
     offering great flexibility to adapt the application to specific project
     needs.
  - Integration with Existing Tools: Cyclopts integrates seamlessly with other
     popular Python libraries and frameworks. It can be used alongside libraries
     like Pydantic for data validation or Typer and Click to build more complex
     applications, all while maintaining its simplicity and focus on usability.
  - Clear and Detailed Documentation: Cyclopts has clear, concise documentation
     with practical examples that make it easy to adopt, even for beginners.
     This is an important advantage, as building CLI tools can be complex, and
     Cyclopts’ documentation makes this process more accessible.
 .
 This is the common documentation package.
