## python-cyclopts 3.4.1

=== debian/changelog ===
python-cyclopts (3.4.1-1) unstable; urgency=medium

  * New upstream version 3.4.1
  * debian/control:
     - Added Build-depends 'python-pytest-doc' required for build docs
  * debian/patches/002.changed-intersphinx-to-local.patch:
     - Added objects.inv local pytest

 -- Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>  Sat, 01 Feb 2025 17:43:06 -0300

python-cyclopts (3.1.2-2) unstable; urgency=medium

  * Team upload.
  * Source-only upload.

 -- Boyuan Yang <byang@debian.org>  Sun, 19 Jan 2025 15:16:24 -0500
