=== debian/control ===
--- 
+++ 
@@ -6,6 +6,7 @@
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-python3,
+               python-pytest-doc <!nodoc>,
                python3-all,
                python3-cattr,
                python3-docstring-parser,
