=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

export PYBUILD_NAME=cyclopts
export TERM=xterm-256color
export PYBUILD_TEST_ARGS=-v -k 'not test_pydantic_error_msg'

%:

	dh $@ --with sphinxdoc --buildsystem=pybuild

override_dh_auto_build:
	dh_auto_build
	PYTHONPATH=. http_proxy='http://127.0.0.1:9/' python3 -m sphinx -d debian/doctrees \
	 -N -bhtml docs/source/ debian/html

# Fixed privacy-breach-generic
override_dh_installdocs:
	dh_installdocs
	find debian/python-cyclopts-doc/ -name '*.html' -exec sed -i \
		-e 's/<img [^>]*>//g' {} \;
# Deleting memory address to fix reproducibility problem
	find debian/python-cyclopts-doc/ -name "searchindex.js" \
		-exec sed -i 's/"0x[a-f0-9]\{12,\}": [0-9]\{1,\},//g' {} +
	find debian/python-cyclopts-doc/ -name "api.html" \
		-exec sed -i '/at 0x7f/d' {} +
