## python-cyclopts 3.12.0

=== debian/changelog ===
python-cyclopts (3.12.0-3) unstable; urgency=medium

  * Team Upload
  * Drop build-dep on python3-tomli

 -- Alexandre Detiste <tchet@debian.org>  Mon, 28 Jul 2025 15:07:48 +0200

python-cyclopts (3.12.0-2) unstable; urgency=medium

  * Team Upload
  * Apply Multi-Arch: hint
  * Drop build-dep on python3-importlib-metadata
  * Trim d/rules with modern syntax

 -- Alexandre Detiste <tchet@debian.org>  Sun, 04 May 2025 17:40:34 +0200

python-cyclopts (3.12.0-1) unstable; urgency=medium

  * New upstream version 3.12.0
  * debian/control: Bumped Standards-Version to 4.7.2

 -- Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>  Tue, 08 Apr 2025 21:06:09 -0300
