=== debian/control ===
--- 
+++ 
@@ -10,7 +10,6 @@
                python3-all,
                python3-cattr,
                python3-docstring-parser,
-               python3-importlib-metadata,
                python3-linkify-it <!nodoc>,
                python3-myst-parser <!nodoc>,
                python3-poetry,
@@ -25,10 +24,9 @@
                python3-sphinx-autodoc-typehints <!nodoc>,
                python3-sphinx-copybutton <!nodoc>,
                python3-sphinx-rtd-theme <!nodoc>,
-               python3-tomli,
                python3-typing-extensions,
                python3-yaml
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://github.com/BrianPugh/cyclopts
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-cyclopts
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-cyclopts.git
@@ -82,6 +80,7 @@
 Package: python-cyclopts-doc
 Section: doc
 Architecture: all
+Multi-Arch: foreign
 Depends: ${misc:Depends},
          ${sphinxdoc:Depends}
 Description: command line interface structure (common documentation)
