=== debian/rules ===
--- 
+++ 
@@ -9,14 +9,12 @@
 
 	dh $@ --with sphinxdoc --buildsystem=pybuild
 
-override_dh_auto_build:
-	dh_auto_build
+execute_after_dh_auto_build:
 	PYTHONPATH=. http_proxy='http://127.0.0.1:9/' python3 -m sphinx -d debian/doctrees \
 	 -N -bhtml docs/source/ debian/html
 
 # Fixed privacy-breach-generic
-override_dh_installdocs:
-	dh_installdocs
+execute_after_dh_installdocs:
 	find debian/python-cyclopts-doc/ -name '*.html' -exec sed -i \
 		-e 's/<img [^>]*>//g' {} \;
 # Deleting memory address to fix reproducibility problem
