=== debian/watch ===
version=4
https://github.com/BrianPugh/cyclopts/tags .*/v?@ANY_VERSION@@ARCHIVE_EXT@
